<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<ooNotepadSyntax version="1" name="Lua">
    <Lexer name="lua" value="15" filemask="*.lua">
        <State name="DEFAULT" value="0" />
        <State name="COMMENT" value="1" />
        <State name="COMMENT LINE" value="2" />
        <State name="COMMENT DOC" value="3" />
        <State name="LITERALSTRING" value="8" />
        <State name="PREPROCESSOR" value="9" />
        <State name="INSTRUCTION WORD" value="5" />
        <State name="NUMBER" value="4" />
        <State name="STRING" value="6" />
        <State name="CHARACTER" value="7" />
        <State name="OPERATOR" value="10" />
        <State name="FUNC1" value="13" />
        <State name="FUNC2" value="14" />
        <State name="FUNC3" value="15" />
    </Lexer>
    <KeyWords>
        <keyword value="0">
            <![CDATA[and break do else elseif end false for function if in local nil not or repeat return then true until while]]>
</keyword>
        <keyword value="1">
            <![CDATA[_VERSION assert collectgarbage dofile error gcinfo loadfile loadstring print tonumber tostring type unpack _ALERT _ERRORMESSAGE _INPUT _PROMPT _OUTPUT _STDERR _STDIN _STDOUT 
call dostring foreach foreachi getn globals newtype rawget rawset require sort tinsert tremove _G getfenv getmetatable ipairs loadlib next pairs pcall rawegal 
rawget rawset require setfenv setmetatable xpcall string table math coroutine io os debug]]>
</keyword>
        <keyword value="2">
            <![CDATA[abs acos asin atan atan2 ceil cos deg exp floor format frexp gsub ldexp log log10 max min mod rad random 
randomseed sin sqrt strbyte strchar strfind strlen strlower strrep strsub strupper tan string.byte string.char string.dump string.find string.len string.lower string.rep string.sub string.upper string.format 
string.gfind string.gsub table.concat table.foreach table.foreachi table.getn table.sort table.insert table.remove table.setn math.abs math.acos math.asin math.atan math.atan2 math.ceil math.cos math.deg math.exp math.floor math.frexp math.ldexp 
math.log math.log10 math.max math.min math.mod math.pi math.rad math.random math.randomseed math.sin math.sqrt math.tan]]>
</keyword>
        <keyword value="3">
            <![CDATA[openfile closefile readfrom writeto appendto remove rename flush seek tmpfile tmpname read write clock date difftime execute exit getenv setlocale time 
coroutine.create coroutine.resume coroutine.status coroutine.wrap coroutine.yield io.close io.flush io.input io.lines io.open io.output io.read io.tmpfile io.type io.write io.stdin io.stdout io.stderr os.clock os.date os.difftime os.execute 
os.exit os.getenv os.remove os.rename os.setlocale os.time os.tmpname]]>
</keyword>
    </KeyWords>
</ooNotepadSyntax>
